/*
 * Exemplo de erro indicado pelo valor de retorno da função fopen.
 * Variável errno indica qual foi o erro.
 */

#include <stdio.h>
#include <errno.h>

int main() {

  FILE *file;

  printf("Tentativa de abrir arquivo não existente: \n");
  file = fopen ("noarq.txt","r");
  if (file == NULL) 
    perror("fopen");
  
  printf("Tentativa de abrir arquivo violando permissões: \n");
  file = fopen ("noperm.txt","w");
  if (file == NULL)
    perror("fopen");
  
  return 0;
}
